<template>
  <editable-zone :register="[{ node, path: [...path, 'title'] }, { node, path: [...path, 'body'] }, { node, path: [ 'rows', 1, 'items', 2 ] }]" :title="title">
  <!-- <editable-zone :register="[{ node, path: [...path, 'title'] }, { node, path: [...path, 'body'] }, { node, path: [ 'rows', 1, 'items', 2, 'body' ] }]" :title="title"> -->
    <section class="section-text-box-no-bg padding-top-50 padding-bottom-50">
      <div class="container">
        <div class="row justify-content-md-center">
          <div class="col-12 col-xl-10">
            {{ [...path, 'title'] }}
            <h2 class="heading-section-no-bg text-center margin-bottom-30"><editable-textfield :node="node" :path="[...path, 'title']"></editable-textfield></h2>
            <p class="margin-bottom-0"><editable-textarea :node="node" :path="[...path, 'body']"></editable-textarea></p>
          </div>
        </div>
      </div>
    </section>
  </editable-zone>
</template>

<script>
// import _ from 'lodash'

// import EditableZone from '@/components/Editable/Utils/ZoneEditable'
// import EditableTextarea from '@/components/Editable/Fields/Inline/TextAreaInlineField'
// import EditableTextfield from '@/components/Editable/Fields/Inline/TextFieldInlineField'

export default {
  components: {
    // EditableTextarea,
    // EditableTextfield,
    // EditableZone
  },

  props: {
    title: {
      type: String,
      required: true
    },
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    }
  },

  data () {
    return {
    }
  },
  // watch: {
  // },

  // computed: {
  //   _ () { return _ },

  //   landingPage () {
  //     return this.$store.getters['landingpage/current'](this.$route.path) || {}
  //   }
  // },

  methods: {
  //   ...mapActions({
  //     getAllChallengesCall: 'challenge/getAll',
  //     getAllLandingPagesCall: 'landingpage/getAll',
  //     getAllHomeSlidesCall: 'homeslide/getAll'
  //   }),

  //   async getAllChallenges () {
  //     await this.getAllChallengesCall({ options: { lazy: true } }).catch((err) => {
  //       console.log(err)
  //     })
  //   },

  //   async getAllLandingPages () {
  //     await this.getAllLandingPagesCall({ options: { lazy: true } }).catch((err) => {
  //       console.log(err)
  //     })
  //   },

  //   async getAllHomeSlides () {
  //     await this.getAllHomeSlidesCall({ options: { lazy: true } }).catch((err) => {
  //       console.log(err)
  //     })
  //   }
  }

  // created () {
  //   Promise.all([this.getAllChallenges(), this.getAllLandingPages(), this.getAllHomeSlides()]).then(() => {
  //     this.loadAnim()
  //   })
  // }
}
</script>

<style lang="scss" scoped>
</style>
